(function(exports) {
    exports.heat_lines_count = 2
    exports.index_multiply = 0x100
    exports.device_name = "MCU_MW"
    exports.is_show_lines_mode = false

    exports.add_configuration = function()
    {
        let mcuf_sensor_modules = [
            {"name": `${l100n.localize_string("module")} 0`, "command": "0"},
            {"name": `${l100n.localize_string("module")} 1`, "command": "1"},
            {"name": `${l100n.localize_string("module")} 2`, "command": "2"},
            {"name": `${l100n.localize_string("module")} 3`, "command": "3"},
            {"name": `${l100n.localize_string("module")} 4`, "command": "4"},
            {"name": `${l100n.localize_string("module")} 5`, "command": "5"},
            {"name": `${l100n.localize_string("module")} 6`, "command": "6"},
            {"name": `${l100n.localize_string("module")} 7`, "command": "7"},
            {"name": `${l100n.localize_string("module")} 8`, "command": "8"},
        ]
        let mcuf_sensors_8 = [
            {"name": l100n.localize_string("not selected"), "command": "0"},
            {"name": `${l100n.localize_string("sensor")} 1`, "command": "1"},
            {"name": `${l100n.localize_string("sensor")} 2`, "command": "2"},
            {"name": `${l100n.localize_string("sensor")} 3`, "command": "3"},
            {"name": `${l100n.localize_string("sensor")} 4`, "command": "4"},
            {"name": `${l100n.localize_string("sensor")} 5`, "command": "5"},
            {"name": `${l100n.localize_string("sensor")} 6`, "command": "6"},
            {"name": `${l100n.localize_string("sensor")} 7`, "command": "7"},
            {"name": `${l100n.localize_string("sensor")} 8`, "command": "8"},
        ]
        let mcuf_sensors_10 = [
            {"name": l100n.localize_string("not selected"), "command": "0"},
            {"name": `${l100n.localize_string("sensor")} 1`, "command": "1"},
            {"name": `${l100n.localize_string("sensor")} 2`, "command": "2"},
            {"name": `${l100n.localize_string("sensor")} 3`, "command": "3"},
            {"name": `${l100n.localize_string("sensor")} 4`, "command": "4"},
            {"name": `${l100n.localize_string("sensor")} 5`, "command": "5"},
            {"name": `${l100n.localize_string("sensor")} 6`, "command": "6"},
            {"name": `${l100n.localize_string("sensor")} 7`, "command": "7"},
            {"name": `${l100n.localize_string("sensor")} 8`, "command": "8"},
            {"name": `${l100n.localize_string("sensor")} 9`, "command": "9"},
            {"name": `${l100n.localize_string("sensor")} 10`, "command": "10"},
        ]
        let index_multiply = {
            "type": "index multiply", 
            "count": exports.heat_lines_count, 
            "multiply_coefficient": exports.index_multiply,
            "templates":[
                {"index": "B001_2", "template": "change_value", "commands": templates_commands.line_mode_status()},
                {"index": "B021_3", "template": "control_mode", "commands": templates_commands.line_mode_mdr()},
                {"index": "B020_1", "template": "combobox", "commands": templates_commands.line_command()},
                {"index": "B021_7","template": "combobox", "commands": templates_commands.temperature_mode()},
                {"index": "B001_1","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_2","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_3","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_4","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_5","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_6","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_7","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_8","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_9","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B002_10","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B003_2","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B003_3","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B003_4","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B003_5","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_2","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_3","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_4","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_5","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_6","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B006_7","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B007_2","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B007_3","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B007_4","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B008_2","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B008_3","template": "change_value", "commands": templates_commands.alarm_trip_present()},
                {"index": "B02B_3", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_8},
                {"index": "B02B_4", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_8},
                {"index": "B02B_10", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_8},
                {"index": "B02B_2", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_10},
                {"index": "B02B_5", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_8},
                {"index": "B02B_6", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_8},
                {"index": "B02B_7", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_10},
                {"index": "B02B_8", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_10},
                {"index": "B02B_9", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_10},
                {"index": "B02B_11", "template": "mcuf_sensor_select", "modules": mcuf_sensor_modules, "sensors": mcuf_sensors_10},
                {"index": "B028_1","template": "combobox", "commands": templates_commands.temp_trip_mode()},
                {"index": "B028_2","template": "combobox", "commands": templates_commands.temp_trip_mode()},
                {"index": "B028_3","template": "combobox", "commands": templates_commands.temp_trip_mode()},
                {"index": "B029_1","template": "combobox", "commands": templates_commands.current_trip_mode()},
                {"index": "B029_2","template": "combobox", "commands": templates_commands.current_trip_mode()},
                {"index": "B021_4","template": "combobox", "commands": templates_commands.emergency_mode()},
        ]}
        let subindex_multiply = {
            "type": "subindex multiply",
            "count": exports.heat_lines_count, 
            "templates":[
                //{"index": "3F26", "template": "combobox", "commands": templates_commands.heater_output_mode()},
                //{"index": "3F28", "template": "change_value", "commands": templates_commands.no_nc()},
                //{"index": "3F0F","template": "change_value", "commands": templates_commands.do_channel_status()},
        ]}
        configuration.add_multiply_templates(index_multiply)
        configuration.add_multiply_templates(subindex_multiply)
    }

	exports.hide_fields_indexes = [
		{index: 0x3F0F, sub: "all"},
		{index: 0x3F26, sub: "all"},
		{index: 0x3F27, sub: "all"},
	]
    
})(this.app_sw_config = {})